Index: trunk/SophyaPI/ProgPI/Makefile
===================================================================
--- trunk/SophyaPI/ProgPI/Makefile	(revision 2751)
+++ trunk/SophyaPI/ProgPI/Makefile	(revision 2765)
@@ -12,5 +12,5 @@
 	echo $@ " done"
 $(SOPHYAEXEP)spiapp: $(SOPHYAOBJP)piapp.o $(SOPHYAOBJP)sopiamodule.o $(SOPHYAOBJP)fitsbtadapter.o $(SOPHYAOBJP)w2ps.o $(SOPHYAOBJP)skymapmodule.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)piapp.o $(SOPHYAOBJP)sopiamodule.o $(SOPHYAOBJP)fitsbtadapter.o $(SOPHYAOBJP)w2ps.o $(SOPHYAOBJP)skymapmodule.o $(SOPHYAALLSLBLIST)
  
 $(SOPHYAOBJP)fitsbtadapter.o: fitsbtadapter.cc \
@@ -31,4 +31,5 @@
   $(SOPHYAINCP)servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -102,5 +103,4 @@
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -112,8 +112,7 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)piapp.o: piapp.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbtadapter.cc
+ 
+$(SOPHYAOBJP)piapp.o: piapp.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -202,5 +201,5 @@
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
  
 $(SOPHYAOBJP)skymapmodule.o: skymapmodule.cc \
@@ -322,5 +321,5 @@
   $(SOPHYAINCP)triangmtx.h \
   $(SOPHYAINCP)lambdaBuilder.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapmodule.cc
  
 $(SOPHYAOBJP)sopiamodule.o: sopiamodule.cc \
@@ -431,8 +430,7 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)w2ps.o: w2ps.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopiamodule.cc
+ 
+$(SOPHYAOBJP)w2ps.o: w2ps.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piacmd.h \
@@ -512,4 +510,4 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  w2ps.cc
+ 
Index: trunk/SophyaPI/ProgPI/smakefile
===================================================================
--- trunk/SophyaPI/ProgPI/smakefile	(revision 2751)
+++ trunk/SophyaPI/ProgPI/smakefile	(revision 2765)
@@ -12,5 +12,5 @@
 	echo $@ " done"
 $(SOPHYAEXEP)spiapp: $(SOPHYAOBJP)piapp.o $(SOPHYAOBJP)sopiamodule.o $(SOPHYAOBJP)fitsbtadapter.o $(SOPHYAOBJP)w2ps.o $(SOPHYAOBJP)skymapmodule.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)piapp.o $(SOPHYAOBJP)sopiamodule.o $(SOPHYAOBJP)fitsbtadapter.o $(SOPHYAOBJP)w2ps.o $(SOPHYAOBJP)skymapmodule.o $(SOPHYAALLSLBLIST)
  
 $(SOPHYAOBJP)fitsbtadapter.o: fitsbtadapter.cc \
@@ -31,4 +31,5 @@
   $(SOPHYAINCP)servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -102,5 +103,4 @@
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -112,8 +112,7 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)piapp.o: piapp.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbtadapter.cc
+ 
+$(SOPHYAOBJP)piapp.o: piapp.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -202,5 +201,5 @@
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
  
 $(SOPHYAOBJP)skymapmodule.o: skymapmodule.cc \
@@ -322,5 +321,5 @@
   $(SOPHYAINCP)triangmtx.h \
   $(SOPHYAINCP)lambdaBuilder.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapmodule.cc
  
 $(SOPHYAOBJP)sopiamodule.o: sopiamodule.cc \
@@ -431,8 +430,7 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)w2ps.o: w2ps.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopiamodule.cc
+ 
+$(SOPHYAOBJP)w2ps.o: w2ps.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piacmd.h \
@@ -512,4 +510,4 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  w2ps.cc
+ 
